Package org.bgerp.dao.process

# Class ProcessLinkSearchDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.process.ProcessLinkSearchDAO

public class ProcessLinkSearchDAO extends CommonDAO
Fluent DAO for selection processes by links.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<Integer>`
  `excludeIds`
  `protected Set<Integer>`
  `executorIds`
  `protected final DynActionForm`
  `form`
  User request context for isolations
  `protected String`
  `idOrDescriptionLike`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessLinkSearchDAO(Connection con)`
  `ProcessLinkSearchDAO(Connection con, DynActionForm form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `filterExecutor(PreparedQuery pq)`
  `protected void`
  `filterId(PreparedQuery pq)`
  `protected void`
  `filterIdOrDescriptionLike(PreparedQuery pq)`
  `protected void`
  `filterOpen(PreparedQuery pq)`
  `protected void`
  `filterStatus(PreparedQuery pq)`
  `protected void`
  `filterType(PreparedQuery pq)`
  `ProcessLinkSearchDAO`
  `order(Order value)`
  Selection order.
  `protected void`
  `order(PreparedQuery pq)`
  `void`
  `search(Pageable<Process> result)`
  Queries processes
  `void`
  `searchWithLinkObjectTypes(Pageable<Pair<Process,String>> result)`
  Queries processes together with link object types
  `protected org.bgerp.dao.process.SearchDAO`
  `withExecutor(Set<Integer> values)`
  Filter by process executors
  `protected org.bgerp.dao.process.SearchDAO`
  `withIdOrDescriptionLike(String value)`
  SQL LIKE expression for id or description.
  `ProcessLinkSearchDAO`
  `withLinkObjectId(int value)`
  Filter by link object ID.
  `ProcessLinkSearchDAO`
  `withLinkObjectType(String value)`
  Filter by link object type
  `ProcessLinkSearchDAO`
  `withLinkObjectTypeLike(String value)`
  Filter by link object type using SQL LIKE
  `ProcessLinkSearchDAO`
  `withOpen(Boolean value)`
  Filter by process closing date
  `protected org.bgerp.dao.process.SearchDAO`
  `withoutId(Set<Integer> values)`
  Excluded process IDs
  `protected org.bgerp.dao.process.SearchDAO`
  `withStatus(Set<Integer> values)`
  Filter by process status ID
  `ProcessLinkSearchDAO`
  `withType(Set<Integer> value)`
  Filter by process type ID

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### form

    protected final DynActionForm form
    User request context for isolations

  - ### executorIds

    protected Set<Integer> executorIds

  - ### excludeIds

    protected Set<Integer> excludeIds

  - ### idOrDescriptionLike

    protected String idOrDescriptionLike

- ## Constructor Details

  - ### ProcessLinkSearchDAO

    public ProcessLinkSearchDAO(Connection con)

  - ### ProcessLinkSearchDAO

    public ProcessLinkSearchDAO(Connection con, DynActionForm form)

- ## Method Details

  - ### withOpen

    public ProcessLinkSearchDAO withOpen(Boolean value)
    Filter by process closing date
    Parameters:
      `value` - `null` - no filter, or process closing date is not null
    Returns:

  - ### withType

    public ProcessLinkSearchDAO withType(Set<Integer> value)
    Filter by process type ID
    Parameters:
      `value` - `null` or empty - no filter, or set with type IDs
    Returns:

  - ### order

    public ProcessLinkSearchDAO order(Order value)
    Selection order.
    Parameters:
      `value` - enum value.
    Returns:

  - ### withLinkObjectType

    public ProcessLinkSearchDAO withLinkObjectType(String value)
    Filter by link object type
    Parameters:
      `value` - the value
    Returns:

  - ### withLinkObjectTypeLike

    public ProcessLinkSearchDAO withLinkObjectTypeLike(String value)
    Filter by link object type using SQL LIKE
    Parameters:
      `value` - the LIKE pattern
    Returns:

  - ### withLinkObjectId

    public ProcessLinkSearchDAO withLinkObjectId(int value)
    Filter by link object ID.
    Parameters:
      `value` -
    Returns:

  - ### search

    public void search(Pageable<Process> result) throws SQLException
    Queries processes
    Parameters:
      `result` - pageable result throws SQLException
    Throws:
      `SQLException`

  - ### searchWithLinkObjectTypes

    public void searchWithLinkObjectTypes(Pageable<Pair<Process,String>> result) throws SQLException
    Queries processes together with link object types
    Parameters:
      `result` - pageable result throws SQLException
    Throws:
      `SQLException`

  - ### withStatus

    protected org.bgerp.dao.process.SearchDAO withStatus(Set<Integer> values)
    Filter by process status ID
    Parameters:
      `values` - `null` or empty - no filter, or set with status IDs
    Returns:

  - ### withExecutor

    protected org.bgerp.dao.process.SearchDAO withExecutor(Set<Integer> values)
    Filter by process executors
    Parameters:
      `values` - `null` or empty - no filter, or set with executor user IDs
    Returns:

  - ### withoutId

    protected org.bgerp.dao.process.SearchDAO withoutId(Set<Integer> values)
    Excluded process IDs
    Parameters:
      `values` - the process IDs
    Returns:

  - ### withIdOrDescriptionLike

    protected org.bgerp.dao.process.SearchDAO withIdOrDescriptionLike(String value)
    SQL LIKE expression for id or description.
    Parameters:
      `value` - the LIKE expression.
    Returns:

  - ### filterOpen

    protected void filterOpen(PreparedQuery pq)

  - ### filterType

    protected void filterType(PreparedQuery pq)

  - ### filterStatus

    protected void filterStatus(PreparedQuery pq)

  - ### filterExecutor

    protected void filterExecutor(PreparedQuery pq)

  - ### filterId

    protected void filterId(PreparedQuery pq)

  - ### filterIdOrDescriptionLike

    protected void filterIdOrDescriptionLike(PreparedQuery pq)

  - ### order

    protected void order(PreparedQuery pq)